0

问题描述

在Mac上安装php的sphinx扩展的依赖包libsphinxclient的时候,./configure 会报错:onfigure: error: C++ preprocessor "/lib/cpp" fails sanity check,网上找的答案都是千篇一律的:yum install gcc-c++ ,可我是Mac系统啊,homebrew只有gcc的包,gcc-c++这个包找不到啊,brew里面没有。。。请问我这个要怎么安装呢?

吴小白 107
2018-08-14 提问
1 个回答
0

安装Xcode,会带有clang++工具,或者尝试下brew install clang++

更新--------------------------------------------------------------
试下
brew install homebrew/php/php56-sphinx 安装php扩展,会自动安装扩展依赖

撰写答案

推广链接